extends RigidBody

var step = 0
export var pause_one_frame = true

func _physics_process(delta):
	if pause_one_frame:
		print("Pausing for one frame.")
		pause_one_frame = false
		return
		
	match step:
		0:
			step += 1
			print("Step ", step, ": Replacing shape.")
			var collision_shape = $CollisionShape
			add_child(collision_shape.duplicate())
			collision_shape.queue_free()
		1:
			step += 1
			print("Step ", step, ": Waking up.")
			sleeping = false
